# (Sunset) Fetch historic stream health metrics for a transcoder The GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/historic operation is sunset and no longer available. To retrieve metrics data for a live stream, use GET /analytics/ingest/live_streams/{id}. Endpoint: GET /transcoders/{transcoder_id}/uptimes/{id}/metrics/historic Version: v1.11 ## Path parameters: - `transcoder_id` (string, required) The unique alphanumeric string that identifies the transcoder. - `id` (string, required) The unique alphanumeric string that identifies the uptime record. ## Query parameters: - `fields` (string) A comma-separated list of fields to return. - `from` (string) The start of the range of time used to aggregate the metrics. Express the value by using the ISO 8601 standard of YYYY-MM-DDTHH:MM:SSZ where HH is a 24-hour clock in UTC. - `to` (string) The end of the range of time used to aggregate the metrics. Express the value by using the ISO 8601 standard of YYYY-MM-DDTHH:MM:SSZ where HH is a 24-hour clock in UTC. ## Response 200 fields (application/json): - `historic` (array, required) Example: [{"audio_codec":{"status":"normal","text":"","units":"","value":"aac"},"bits_in_rate":{"status":"normal","text":"","units":"Kbps","value":317.3},"bits_out_rate":{"status":"normal","text":"","units":"Kbps","value":856},"frame_rate":{"status":"normal","text":"","units":"FPS","value":30},"height":{"status":"warning","text":"Configured height is different from what Wowza Video is receiving from the source: 720.","units":"px","value":720},"keyframe_interval":{"status":"normal","text":"","units":"GOP","value":69},"video_codec":{"status":"normal","text":"","units":"","value":"h264"},"width":{"status":"warning","text":"Configured width is different from what Wowza Video is receiving from the source: 1280.","units":"px","value":1280},"created_at":"2017-07-06T14:20:00.000Z"},{"audio_codec":{"status":"normal","text":"","units":"","value":"aac"},"bits_in_rate":{"status":"normal","text":"","units":"Kbps","value":317.3},"bits_out_rate":{"status":"normal","text":"","units":"Kbps","value":856},"frame_rate":{"status":"normal","text":"","units":"FPS","value":30},"height":{"status":"warning","text":"Configured height is different from what Wowza Video is receiving from the source: 720.","units":"px","value":720},"keyframe_interval":{"status":"normal","text":"","units":"GOP","value":69},"video_codec":{"status":"normal","text":"","units":"","value":"h264"},"width":{"status":"warning","text":"Configured width is different from what Wowza Video is receiving from the source: 1280.","units":"px","value":1280},"created_at":"2017-07-06T14:20:20.000Z"}] - `historic.audio_codec` (object) - `historic.audio_codec.status` (string) The status of the current key. Possible values are normal (everything is fine), warning (something may be misconfigured), and no_data (no data was returned, perhaps because the instance isn't running). Example: "normal" - `historic.audio_codec.text` (string) A message related to the value and status of the current key. Usually blank unless there's a warning status. - `historic.audio_codec.units` (string) The unit of the returned value, such as Kbps, bps, %, FPS, or GOP. - `historic.audio_codec.value` (string) The value of the associated key. Example: "aac" - `historic.bits_in_rate` (object) - `historic.bits_out_rate` (object) - `historic.created_at` (string) The date and time that the stream health record was created. Example: "2017-07-06T14:20:00.000Z" - `historic.frame_rate` (object) - `historic.height` (object) - `historic.keyframe_interval` (object) - `historic.video_codec` (object) - `historic.video_codec.value` (string) The value of the associated key. Note: You might see avc1 or h264 returned interchangeably. Example: "h264" - `historic.width` (object) - `limits` (object, required) Example: {"fields":["audio_codec","bits_in_rate","bits_out_rate","frame_rate","height","keyframe_interval","width","video_codec"],"from":"2017-07-06T14:20:00.000Z","to":"2017-07-06T14:20:20.000Z"} - `limits.fields` (string, required) A comma-separated list of fields that were returned in the request. Example: ["audio_codec","bits_in_rate","bits_out_rate","frame_rate","height","keyframe_interval","width","video_codec"] - `limits.from` (string, required) The start of range of time when the metrics were aggregated for the query. Example: "2017-07-06T14:20:00.000Z" - `limits.to` (string, required) The end of the range of time when the metrics were aggregated for the query. Example: "2017-07-06T14:20:20.000Z" ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 403 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 404 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array) ## Response 410 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)